diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/akismet.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/akismet.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.php	2014-03-18 04:18:23.000000000 +0300
***************
*** 6,12 ****
  Plugin Name: Akismet
  Plugin URI: http://akismet.com/?return=true
  Description: Used by millions, Akismet is quite possibly the best way in the world to <strong>protect your blog from comment and trackback spam</strong>. It keeps your site protected from spam even while you sleep. To get started: 1) Click the "Activate" link to the left of this description, 2) <a href="http://akismet.com/get/?return=true">Sign up for an Akismet API key</a>, and 3) Go to your Akismet configuration page, and save your API key.
! Version: 2.5.9
  Author: Automattic
  Author URI: http://automattic.com/wordpress-plugins/
  License: GPLv2 or later
--- 6,12 ----
  Plugin Name: Akismet
  Plugin URI: http://akismet.com/?return=true
  Description: Used by millions, Akismet is quite possibly the best way in the world to <strong>protect your blog from comment and trackback spam</strong>. It keeps your site protected from spam even while you sleep. To get started: 1) Click the "Activate" link to the left of this description, 2) <a href="http://akismet.com/get/?return=true">Sign up for an Akismet API key</a>, and 3) Go to your Akismet configuration page, and save your API key.
! Version: 2.6.0
  Author: Automattic
  Author URI: http://automattic.com/wordpress-plugins/
  License: GPLv2 or later
***************
*** 34,41 ****
  	exit;
  }
  
! define('AKISMET_VERSION', '2.5.9');
  define('AKISMET_PLUGIN_URL', plugin_dir_url( __FILE__ ));
  
  /** If you hardcode a WP.com API key here, all key config screens will be hidden */
  if ( defined('WPCOM_API_KEY') )
--- 34,42 ----
  	exit;
  }
  
! define('AKISMET_VERSION', '2.6.0');
  define('AKISMET_PLUGIN_URL', plugin_dir_url( __FILE__ ));
+ define('AKISMET_DELETE_LIMIT', 10000);
  
  /** If you hardcode a WP.com API key here, all key config screens will be hidden */
  if ( defined('WPCOM_API_KEY') )
***************
*** 197,213 ****
  
  // filter handler used to return a spam result to pre_comment_approved
  function akismet_result_spam( $approved ) {
  	// bump the counter here instead of when the filter is added to reduce the possibility of overcounting
  	if ( $incr = apply_filters('akismet_spam_count_incr', 1) )
  		update_option( 'akismet_spam_count', get_option('akismet_spam_count') + $incr );
  	// this is a one-shot deal
! 	remove_filter( 'pre_comment_approved', 'akismet_result_spam' );
  	return 'spam';
  }
  
  function akismet_result_hold( $approved ) {
  	// once only
! 	remove_filter( 'pre_comment_approved', 'akismet_result_hold' );
  	return '0';
  }
  
--- 198,223 ----
  
  // filter handler used to return a spam result to pre_comment_approved
  function akismet_result_spam( $approved ) {
+ 	static $just_once = false;
+ 	if ( $just_once )
+ 		return $approved;
+ 		
  	// bump the counter here instead of when the filter is added to reduce the possibility of overcounting
  	if ( $incr = apply_filters('akismet_spam_count_incr', 1) )
  		update_option( 'akismet_spam_count', get_option('akismet_spam_count') + $incr );
+ 		
  	// this is a one-shot deal
! 	$just_once = true;
  	return 'spam';
  }
  
  function akismet_result_hold( $approved ) {
+ 	static $just_once = false;
+ 	if ( $just_once )
+ 		return $approved;
+ 		
  	// once only
! 	$just_once = true;
  	return '0';
  }
  
***************
*** 321,327 ****
  	global $akismet_api_host, $akismet_api_port, $akismet_last_comment;
  
  	$comment = $commentdata;
! 	$comment['user_ip']    = $_SERVER['REMOTE_ADDR'];
  	$comment['user_agent'] = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : null; 
  	$comment['referrer']   = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : null;
  	$comment['blog']       = get_option('home');
--- 331,337 ----
  	global $akismet_api_host, $akismet_api_port, $akismet_last_comment;
  
  	$comment = $commentdata;
! 	$comment['user_ip']    = akismet_get_ip_address();
  	$comment['user_agent'] = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : null; 
  	$comment['referrer']   = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : null;
  	$comment['blog']       = get_option('home');
***************
*** 422,479 ****
  
  add_action('preprocess_comment', 'akismet_auto_check_comment', 1);
  
  function akismet_delete_old() {
  	global $wpdb;
! 	$now_gmt = current_time('mysql', 1);
! 	$comment_ids = $wpdb->get_col("SELECT comment_id FROM $wpdb->comments WHERE DATE_SUB('$now_gmt', INTERVAL 15 DAY) > comment_date_gmt AND comment_approved = 'spam'");
! 	if ( empty( $comment_ids ) )
! 		return;
  		
! 	$comma_comment_ids = implode( ', ', array_map('intval', $comment_ids) );
  
! 	do_action( 'delete_comment', $comment_ids );
! 	$wpdb->query("DELETE FROM $wpdb->comments WHERE comment_id IN ( $comma_comment_ids )");
! 	$wpdb->query("DELETE FROM $wpdb->commentmeta WHERE comment_id IN ( $comma_comment_ids )");
! 	clean_comment_cache( $comment_ids );
! 	$n = mt_rand(1, 5000);
! 	if ( apply_filters('akismet_optimize_table', ($n == 11)) ) // lucky number
! 		$wpdb->query("OPTIMIZE TABLE $wpdb->comments");
  
  }
  
  function akismet_delete_old_metadata() { 
  	global $wpdb; 
  
- 	$now_gmt = current_time( 'mysql', 1 ); 
  	$interval = apply_filters( 'akismet_delete_commentmeta_interval', 15 );
  
  	# enfore a minimum of 1 day
  	$interval = absint( $interval );
! 	if ( $interval < 1 ) {
! 		return;
! 	}
  
  	// akismet_as_submitted meta values are large, so expire them 
  	// after $interval days regardless of the comment status 
! 	while ( TRUE ) {
! 		$comment_ids = $wpdb->get_col( "SELECT $wpdb->comments.comment_id FROM $wpdb->commentmeta INNER JOIN $wpdb->comments USING(comment_id) WHERE meta_key = 'akismet_as_submitted' AND DATE_SUB('$now_gmt', INTERVAL {$interval} DAY) > comment_date_gmt LIMIT 10000" ); 
! 
! 		if ( empty( $comment_ids ) ) {
! 			return; 
! 		}
! 
  		foreach ( $comment_ids as $comment_id ) {
  			delete_comment_meta( $comment_id, 'akismet_as_submitted' );
  		}
  	}
! 
! 	/*
! 	$n = mt_rand( 1, 5000 ); 
! 	if ( apply_filters( 'akismet_optimize_table', ( $n == 11 ), 'commentmeta' ) ) { // lucky number 
! 		$wpdb->query( "OPTIMIZE TABLE $wpdb->commentmeta" ); 
! 	}
! 	*/
! } 
  
  add_action('akismet_scheduled_delete', 'akismet_delete_old');
  add_action('akismet_scheduled_delete', 'akismet_delete_old_metadata'); 
--- 432,501 ----
  
  add_action('preprocess_comment', 'akismet_auto_check_comment', 1);
  
+ function akismet_get_ip_address() {
+ 	foreach( array( 'HTTP_CLIENT_IP', 'HTTP_X_FORWARDED_FOR', 'HTTP_X_FORWARDED', 'HTTP_X_CLUSTER_CLIENT_IP', 'HTTP_FORWARDED_FOR', 'HTTP_FORWARDED', 'REMOTE_ADDR' ) as $key ) {
+ 		if ( array_key_exists( $key, $_SERVER ) === true ) {
+ 			foreach ( explode( ',', $_SERVER[$key] ) as $ip ) {
+ 				$ip = trim($ip); 
+ 	
+ 				if ( filter_var( $ip, FILTER_VALIDATE_IP, FILTER_FLAG_NO_PRIV_RANGE | FILTER_FLAG_NO_RES_RANGE) !== false ) {
+ 					return $ip;
+ 				}
+ 			}
+ 		}
+ 	}
+ 	return null;
+ }
+ 
  function akismet_delete_old() {
  	global $wpdb;
! 	
! 	while( $comment_ids = $wpdb->get_col( $wpdb->prepare( "SELECT comment_id FROM {$wpdb->comments} WHERE DATE_SUB(NOW(), INTERVAL 15 DAY) > comment_date_gmt AND comment_approved = 'spam' LIMIT %d", defined( 'AKISMET_DELETE_LIMIT' ) ? AKISMET_DELETE_LIMIT : 10000 ) ) ) {
! 		if ( empty( $comment_ids ) )
! 			return;
  		
! 		$wpdb->queries = array();
  
! 		do_action( 'delete_comment', $comment_ids );
! 		
! 		$comma_comment_ids = implode( ', ', array_map('intval', $comment_ids) );
! 	
! 		$wpdb->query("DELETE FROM {$wpdb->comments} WHERE comment_id IN ( $comma_comment_ids )");
! 		$wpdb->query("DELETE FROM {$wpdb->commentmeta} WHERE comment_id IN ( $comma_comment_ids )");
! 		
! 		clean_comment_cache( $comment_ids );
! 	}
  
+ 	if ( apply_filters( 'akismet_optimize_table', ( mt_rand(1, 5000) == 11) ) ) // lucky number
+ 		$wpdb->query("OPTIMIZE TABLE {$wpdb->comments}");
  }
  
  function akismet_delete_old_metadata() { 
  	global $wpdb; 
  
  	$interval = apply_filters( 'akismet_delete_commentmeta_interval', 15 );
  
  	# enfore a minimum of 1 day
  	$interval = absint( $interval );
! 	if ( $interval < 1 )
! 		$interval = 1;
  
  	// akismet_as_submitted meta values are large, so expire them 
  	// after $interval days regardless of the comment status 
! 	while ( $comment_ids = $wpdb->get_col( $wpdb->prepare( "SELECT m.comment_id FROM {$wpdb->commentmeta} as m INNER JOIN {$wpdb->comments} as c USING(comment_id) WHERE m.meta_key = 'akismet_as_submitted' AND DATE_SUB(NOW(), INTERVAL %d DAY) > c.comment_date_gmt LIMIT 10000", $interval ) ) ) {	
! 		if ( empty( $comment_ids ) )
! 			return;
! 		
! 		$wpdb->queries = array();
! 		
  		foreach ( $comment_ids as $comment_id ) {
  			delete_comment_meta( $comment_id, 'akismet_as_submitted' );
  		}
  	}
! 	
! 	if ( apply_filters( 'akismet_optimize_table', ( mt_rand(1, 5000) == 11) ) ) // lucky number
! 		$wpdb->query("OPTIMIZE TABLE {$wpdb->comments}");
! }
  
  add_action('akismet_scheduled_delete', 'akismet_delete_old');
  add_action('akismet_scheduled_delete', 'akismet_delete_old_metadata'); 
***************
*** 588,593 ****
--- 610,680 ----
  if ( $akismet_comment_nonce_option == 'true' || $akismet_comment_nonce_option == '' )
  	add_action( 'comment_form', 'akismet_add_comment_nonce' );
  
+ function akismet_pingback_forwarded_for( $r, $url ) {
+ 	static $urls = array();
+ 	
+ 	// Call this with $r == null to prime the callback to add headers on a specific URL
+ 	if ( is_null( $r ) && !in_array( $url, $urls ) ) {
+ 		$urls[] = $url;
+ 	}
+ 
+ 	// Add X-Pingback-Forwarded-For header, but only for requests to a specific URL (the apparent pingback source)
+ 	if ( is_array( $r ) && is_array( $r['headers'] ) && !isset( $r['headers']['X-Pingback-Forwarded-For'] ) && in_array( $url, $urls ) ) {
+ 		$remote_ip = preg_replace( '/[^a-fx0-9:.,]/i', '', $_SERVER['REMOTE_ADDR'] );
+ 		
+ 		// Note: this assumes REMOTE_ADDR is correct, and it may not be if a reverse proxy or CDN is in use
+ 		$r['headers']['X-Pingback-Forwarded-For'] = $remote_ip;
+ 
+ 		// Also identify the request as a pingback verification in the UA string so it appears in logs
+ 		$r['user-agent'] .= '; verifying pingback from ' . $remote_ip;
+ 	}
+ 
+ 	return $r;
+ }
+ 
+ function akismet_pre_check_pingback( $method ) {
+ 	
+ 	if ( $method !== 'pingback.ping' )
+ 		return;
+ 
+ 	global $wp_xmlrpc_server;
+ 	
+ 	if ( !is_object( $wp_xmlrpc_server ) )
+ 		return false;
+ 	
+ 	// Lame: tightly coupled with the IXR class.
+ 	$args = $wp_xmlrpc_server->message->params;
+ 	
+ 	if ( !empty( $args[1] ) ) {
+ 		$post_id = url_to_postid( $args[1] );
+ 
+ 		// If this gets through the pre-check, make sure we properly identify the outbound request as a pingback verification
+ 		akismet_pingback_forwarded_for( null, $args[0] );
+ 		add_filter( 'http_request_args', 'akismet_pingback_forwarded_for', 10, 2 );
+ 
+ 		$comment = array(
+ 			'comment_author_url' => $args[0],
+ 			'comment_post_ID' => $post_id,
+ 			'comment_author' => '',
+ 			'comment_author_email' => '',
+ 			'comment_content' => '',
+ 			'comment_type' => 'pingback',
+ 			'akismet_pre_check' => '1',
+ 			'comment_pingback_target' => $args[1],
+ 		);
+ 
+ 		$comment = akismet_auto_check_comment( $comment );
+ 
+ 		if ( isset( $comment['akismet_result'] ) && 'true' == $comment['akismet_result'] ) {
+ 			// Lame: tightly coupled with the IXR classes. Unfortunately the action provides no context and no way to return anything.
+ 			$wp_xmlrpc_server->error( new IXR_Error( 0, 'Invalid discovery target' ) );
+ 		}
+ 	}
+ }
+ 
+ // Run this early in the pingback call, before doing a remote fetch of the source uri
+ add_action( 'xmlrpc_call', 'akismet_pre_check_pingback' );
+ 
  global $wp_version;
  if ( '3.0.5' == $wp_version ) { 
  	remove_filter( 'comment_text', 'wp_kses_data' ); 
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/advanced-cache.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/advanced-cache.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/advanced-cache.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/advanced-cache.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 1,6 ****
--- 1,10 ----
  <?php
  # WP SUPER CACHE 1.2
  function wpcache_broken_message() {
+ 	global $wp_cache_config_file;
+ 	if ( isset( $wp_cache_config_file ) == false )
+ 		return '';
+ 
  	if ( false == strpos( $_SERVER[ 'REQUEST_URI' ], 'wp-admin' ) )
  		echo "<!-- WP Super Cache is installed but broken. The constant WPCACHEHOME must be set in the file wp-config.php and point at the WP Super Cache plugin directory. -->";
  }
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/ossdl-cdn.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/ossdl-cdn.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/ossdl-cdn.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/ossdl-cdn.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 149,155 ****
  	$example_cdn_uri .= '/wp-includes/js/prototype.js';
  	?>
  		<p><?php _e( 'Your website probably uses lots of static files. Image, Javascript and CSS files are usually static files that could just as easily be served from another site or CDN. Therefore this plugin replaces any links in the <code>wp-content</code> and <code>wp-includes</code> directories (except for PHP files) on your site with the URL you provide below. That way you can either copy all the static content to a dedicated host or mirror the files to a CDN by <a href="http://knowledgelayer.softlayer.com/questions/365/How+does+Origin+Pull+work%3F" target="_blank">origin pull</a>.', 'wp-super-cache' ); ?></p>
- 		<p><?php printf( __( 'The <a href="%1$s">CDN Sync Tool</a> plugin will help upload files to Amazon S3/Cloudfront if you would rather not depend on origin pull. See the <a href="%2$s">plugin support forum</a> if you have any queries about this plugin.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/cdn-sync-tool/', 'http://wordpress.org/tags/cdn-sync-tool?forum_id=10' ); ?></p>
  		<p><?php printf( __( '<strong style="color: red">WARNING:</strong> Test some static urls e.g., %s  to ensure your CDN service is fully working before saving changes.', 'wp-super-cache' ), '<code>' . $example_cdn_uri . '</code>' ); ?></p>
  		<p><?php _e( 'You can define different CDN URLs for each site on a multsite network.', 'wp-super-cache' ); ?></p>
  		<p><form method="post" action="">
--- 149,154 ----
***************
*** 196,202 ****
  		<input type="hidden" name="action" value="update_ossdl_off" />
  		<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>
  		</form></p>
! 		<p><?php _e( 'CDN functionality provided by <a href="http://wordpress.org/extend/plugins/ossdl-cdn-off-linker/">OSSDL CDN Off Linker</a> by <a href="http://mark.ossdl.de/">Mark Kubacki</a>', 'wp-super-cache' ); ?></p>
  	<?php
  }
  ?>
--- 195,201 ----
  		<input type="hidden" name="action" value="update_ossdl_off" />
  		<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>
  		</form></p>
! 		<p><?php _e( 'CDN functionality provided by <a href="http://wordpress.org/plugins/ossdl-cdn-off-linker/">OSSDL CDN Off Linker</a> by <a href="http://mark.ossdl.de/">Mark Kubacki</a>', 'wp-super-cache' ); ?></p>
  	<?php
  }
  ?>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/awaitingmoderation.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/awaitingmoderation.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/awaitingmoderation.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/awaitingmoderation.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 16,22 ****
  //Your comment is awaiting moderation.
  function wp_supercache_awaitingmoderation_admin() {
  	global $cache_awaitingmoderation, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_awaitingmoderation = $cache_awaitingmoderation == '' ? '0' : $cache_awaitingmoderation;
  
  	if(isset($_POST['cache_awaitingmoderation']) && $valid_nonce) {
--- 16,22 ----
  //Your comment is awaiting moderation.
  function wp_supercache_awaitingmoderation_admin() {
  	global $cache_awaitingmoderation, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_awaitingmoderation = $cache_awaitingmoderation == '' ? '0' : $cache_awaitingmoderation;
  
  	if(isset($_POST['cache_awaitingmoderation']) && $valid_nonce) {
***************
*** 28,34 ****
  	}
  	$id = 'awaitingmoderation-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options"> 
  		<h4><?php _e( 'Awaiting Moderation', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_awaitingmoderation" value="1" <?php if( $cache_awaitingmoderation ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
--- 28,34 ----
  	}
  	$id = 'awaitingmoderation-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options">
  		<h4><?php _e( 'Awaiting Moderation', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_awaitingmoderation" value="1" <?php if( $cache_awaitingmoderation ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
***************
*** 42,48 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Awaiting Moderation is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
--- 42,48 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Awaiting Moderation is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/badbehaviour.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 33,39 ****
  
  function wp_supercache_badbehaviour_admin() {
  	global $cache_badbehaviour, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_badbehaviour = $cache_badbehaviour == '' ? 0 : $cache_badbehaviour;
  	if ( $cache_badbehaviour == 'no' )
  		$cache_badbehaviour = 0;
--- 33,39 ----
  
  function wp_supercache_badbehaviour_admin() {
  	global $cache_badbehaviour, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_badbehaviour = $cache_badbehaviour == '' ? 0 : $cache_badbehaviour;
  	if ( $cache_badbehaviour == 'no' )
  		$cache_badbehaviour = 0;
***************
*** 59,65 ****
  	}
  	$id = 'badbehavior-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options"> 
  		<h4><?php _e( 'Bad Behavior', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_badbehaviour" value="1" <?php if( $cache_badbehaviour ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
--- 59,65 ----
  	}
  	$id = 'badbehavior-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options">
  		<h4><?php _e( 'Bad Behavior', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_badbehaviour" value="1" <?php if( $cache_badbehaviour ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
***************
*** 73,79 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Bad Behavior support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
--- 73,79 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Bad Behavior support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/domain-mapping.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 10,16 ****
  	if ( !$siteurl )
  		return false;
  
! 	$protocol = ( 'on' == strtolower( $_SERVER['HTTPS' ] ) ) ? 'https://' : 'http://';
  	$siteurl = trailingslashit( str_replace( $protocol, '', $siteurl ) );
  
  	if ( $directory == 'homepage' )
--- 10,16 ----
  	if ( !$siteurl )
  		return false;
  
! 	$protocol = ( isset( $_SERVER['HTTPS' ] ) && 'on' == strtolower( $_SERVER['HTTPS' ] ) ) ? 'https://' : 'http://';
  	$siteurl = trailingslashit( str_replace( $protocol, '', $siteurl ) );
  
  	if ( $directory == 'homepage' )
***************
*** 22,29 ****
  			@wp_cache_rebuild_or_delete( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html.gz' );
  		break;
  		case "prune":
! 			prune_super_cache( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html', true, true ); 
! 			prune_super_cache( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html.gz', true, true ); 
  		break;
  	}
  
--- 22,29 ----
  			@wp_cache_rebuild_or_delete( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html.gz' );
  		break;
  		case "prune":
! 			prune_super_cache( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html', true, true );
! 			prune_super_cache( $cache_path . 'supercache/' . $siteurl . $directory . 'index.html.gz', true, true );
  		break;
  	}
  
***************
*** 39,45 ****
  	if ( !$siteurl )
  		return $dir;
  
! 	$protocol = ( 'on' == strtolower( $_SERVER['HTTPS' ] ) ) ? 'https://' : 'http://';
  	$siteurl = str_replace( $protocol, '', $siteurl );
  	return $cache_path . 'supercache/' . $siteurl;
  }
--- 39,45 ----
  	if ( !$siteurl )
  		return $dir;
  
! 	$protocol = ( isset( $_SERVER['HTTPS' ] ) && 'on' == strtolower( $_SERVER['HTTPS' ] ) ) ? 'https://' : 'http://';
  	$siteurl = str_replace( $protocol, '', $siteurl );
  	return $cache_path . 'supercache/' . $siteurl;
  }
***************
*** 55,61 ****
  
  function wp_supercache_domain_mapping_admin() {
  	global $cache_domain_mapping, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_domain_mapping = $cache_domain_mapping == '' ? '0' : $cache_domain_mapping;
  
  	if(isset($_POST['cache_domain_mapping']) && $valid_nonce) {
--- 55,61 ----
  
  function wp_supercache_domain_mapping_admin() {
  	global $cache_domain_mapping, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_domain_mapping = $cache_domain_mapping == '' ? '0' : $cache_domain_mapping;
  
  	if(isset($_POST['cache_domain_mapping']) && $valid_nonce) {
***************
*** 69,75 ****
  	}
  	$id = 'domain_mapping-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options"> 
  		<h4><?php _e( 'Domain Mapping', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_domain_mapping" value="1" <?php if( $cache_domain_mapping ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
--- 69,75 ----
  	}
  	$id = 'domain_mapping-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options">
  		<h4><?php _e( 'Domain Mapping', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_domain_mapping" value="1" <?php if( $cache_domain_mapping ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
***************
*** 83,89 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Domain Mapping support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
--- 83,89 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Domain Mapping support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
